Loading...
Searching...
No Matches
Tree4< T, N1, N2, N3 > Struct Template Reference

Tree4<T, N1, N2, N3>::Type is the type of a four-level tree (Root, Internal, Internal, Leaf) with value type T and internal and leaf node log dimensions N1, N2 and N3, respectively. More...

`#include <openvdb/tree/Tree.h>`

## Public Types

using | Type = Tree< RootNode< InternalNode< InternalNode< LeafNode< T, N3 >, N2 >, N1 > > >

## Detailed Description

template<typename T, Index N1 = 5, Index N2 = 4, Index N3 = 3>
struct openvdb::v11_0::tree::Tree4< T, N1, N2, N3 >

Tree4<T, N1, N2, N3>::Type is the type of a four-level tree (Root, Internal, Internal, Leaf) with value type T and internal and leaf node log dimensions N1, N2 and N3, respectively.

Note
  This is the standard tree configuration.

## Member Typedef Documentation

## Type

template<typename T , Index N1 = 5, Index N2 = 4, Index N3 = 3>

using Type = Tree<RootNode<InternalNode<InternalNode<LeafNode<T, N3>, N2>, N1> >>